## igaelic 0.50

=== Makefile ===
# Makefile for igaelic
# igaelic -- Ispell dictionary list for Scots Gaelic (gaidhlig)
#
# Copyright (C) Alastair McKinstry, 1997,1998
# Released under the GNU Public License
#
# $Id: Makefile,v 1.1.1.1 1999/01/30 19:14:49 alastair Exp $

ISPELL=`rpm -q ispell`
VERSION=`cat version`

ifndef PREFIX
PREFIX=${DESTDIR}/usr
endif

# Edit WORDLISTS to change list of words that are included.

RPM_ROOT_DIR=/usr/src/redhat
WORDLISTS= words unchecked-words
ALLFILES= $(WORDLISTS) Makefile ispell-gd.spec.sed ChangeLog README COPYING \
	gaelic.4 gaelic.aff

TARFILE=igaelic-$(VERSION).tar


gaelic.words: $(WORDLISTS)
	cat $(WORDLISTS) > gaelic.words

gaelic.hash: gaelic.words gaelic.aff
	buildhash gaelic.words gaelic.aff gaelic.hash

gd_GB.dic: gaelic.words
	wc -l gaelic.words > gd_GB.dic
	cat gaelic.words >> gd_GB.dic

clean:
	rm -f *.cnt *.stat  gaelic.words *~ *.bak gd_GB.dic

reallyclean:
	make clean
	rm -rf *.hash

check: gaelic.hash
	$(MAKE) -C tests

munch:
	for d in $(WORDLISTS) incorrect-words ; do munchlist -l  gaelic.aff $$d > tmp ; mv tmp $$d ; done

tarfile: 
	make munch clean
	rm -f gaidhlig.hash ../ispell-gd-*
	ln -s ispell-gd ../ispell-gd-$(VERSION)
	tar  cvf ../$(TARFILE) -C .. -h  ispell-gd-$(VERSION)
	gzip ../$(TARFILE)
	rm ../ispell-gd-$(VERSION)
	ln -s ../$(TARFILE).gz ../ispell-gd-latest.tgz

../ispell-gd-latest.tgz:
	make tarfile

rpm: 	../ispell-gd-latest.tgz
	mv ../$(TARFILE).gz $(RPM_ROOT_DIR)/SOURCES
	sed s/DATESTAMP/$(DATE)/ < ispell-gd.spec.sed > $(RPM_ROOT_DIR)/SPECS/ispell-gd-$(VERSION).spec	
	(cd $(RPM_ROOT_DIR)/SPECS;	rpm -ba -vv --sign ispell-gd-$(VERSION).spec)


install: gaelic.hash 
	mkdir -p ${PREFIX}/lib/ispell
	cp gaelic.hash gaelic.aff ${PREFIX}/lib/ispell

install-words: gaelic.words
	mkdir -p ${PREFIX}/share/dict
	cp gaelic.words ${PREFIX}/share/dict/gaelic

install-myspell: gd_GB.dic
	mkdir -p ${PREFIX}/share/myspell/dicts
	mkdir -p ${PREFIX}/share/myspell/infos/ooo
	cp gd_GB.aff gd_GB.dic ${PREFIX}/share/myspell/dicts
	cp debian/myspell.info ${PREFIX}/share/myspell/infos/ooo/myspell-gd

=== rpm/Makefile ===
# Build an RPM for igaelic
# 
# Copyright (C) 2002 Alastair McKinstry, <mckinstry@computer.org>
# Released under the GPL; see file COPYING for details.
#
#

VERSION=0.5
TARFILE=igaelic_${VERSION}.orig.tar.gz


ifndef RPM_SOURCE_DIR
RPM_SOURCE_DIR=/usr/src/rpm/SOURCES
endif


rpm: igaelic.spec ../../${TARFILE}
	cp ../../${TARFILE} ${RPM_SOURCE_DIR}
	rpm -ba -vv igaelic.spec

clean:
	rm -f *~ *# *.log *.spec

igaelic.spec: igaelic.spec.sed
	sed 's/@VERSION@/${VERSION}/' < $< > $@

# if the Debian-style tarfile doesn't exist, build it
../../${TARFILE}:
	( cd ../.. ; tar zcpf ${TARFILE} igaelic-${VERSION} )

=== tests/Makefile ===
# Makefile for testing igaelic
#

# FIXME Work to do...
check:
	
clean:

=== debian/changelog ===
igaelic (0.50-14) unstable; urgency=medium

  [ Andreas Tille ]
  * Non-maintainer upload.
  * Declare Vcs fields
  * Convert myspell-gd into dummy transitional package depending on hunspell-gd
    Closes: #898717
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Trim trailing whitespace.
  * Do not call dh_auto_install manually since it breaks
     dh_missing --fail-missing
    due to leaving uninstalled files in debian/tmp
  * Lintian-overrides for
     - national-encoding
     - FSSTND-dir-in-manual-page
  * Add Description to templates
  * Convert dictionaries-common file from ISO-8859 to UTF-8
    Closes: #901386

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Feb 2026 07:20:29 +0000

igaelic (0.50-13.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 15:23:03 +0100

igaelic (0.50-13) unstable; urgency=medium

  * Set gaelic dict list in UTF-8
  * Standards-Version now 4.1.4

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Jun 2018 19:33:56 +0100

igaelic (0.50-12) unstable; urgency=medium

  * Add pt_BR.po from Adriano Rafael Gomes. Closes: 3818683
  * Standards-Version now 4.0.0
  * Debhelper compat level 10

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Jul 2017 11:13:34 +0100

igaelic (0.50-11) unstable; urgency=medium

  * Build using ispell >> 3.4.00-1 to ensure reproducible hashes.
  * Standards-Version: 3.9.6

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Jun 2015 14:10:42 +0100

igaelic (0.50-10) unstable; urgency=medium

  * Make sure dirs are created when installing files. Closes: #732745.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Dec 2013 17:30:33 +0000

igaelic (0.50-9) unstable; urgency=medium

  * Move to Standards-Version: 3.9.5
  * Move to debhelper 9 + quilt, format 3.0
  * Rephrased Descriptions: as preferred by lintian.
  * Don't translate default fields, as per Lintian warning.
  * Split build into build-arch, build-indep.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Dec 2013 00:55:16 +0000

igaelic (0.50-8) unstable; urgency=low

  *  myspell-gd.post{inst,rm}: Remove, only unconditionally called
     useless and soon to not be shipped update-openoffice-dicts.
     Closes: #619273.
  * Move to Standards-Version: 3.9.1
  * Italian translation thanks to Luca Bruno. Closes: #602322.
  * Add ${misc:Depends} for debhelper.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Apr 2011 13:21:25 +0100

igaelic (0.50-7) unstable; urgency=low

  * Move myspell dictionaries to hunspell. Closes: #541925.
  * Move to Standards-Version 3.8.3, Debhelper 7.
  * Replace dh_clean -k by dh_prep, as per lintian warning.
  * Add explicit copyright (C) to debian/copyright.
  * Now under the GNU GPL v3.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Sep 2009 07:08:45 +0100

igaelic (0.50-6) unstable; urgency=low

  * Added Russian translation from Yuri Kozlov. Closes: #521644.
  * Move to Standards-Version: 3.8.1.0; no changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Mar 2009 23:30:39 +0100

igaelic (0.50-5) unstable; urgency=low

  * Move to Standards-Version: 3.7.2. No changes required.
  * Move to dehelpher DH_COMPAT=5. No changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 Sep 2006 20:38:01 +0100

igaelic (0.50-4) unstable; urgency=low

  * Move to Standards-Version: 3.6.2.0; no changes required
  * Depend on debconf| debconf-2.0. Closes: #331851.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed,  5 Oct 2005 21:16:45 +0100

igaelic (0.50-3) unstable; urgency=low

  * debconf translation for Vietnamese from Clytie Siddall.
    Closes: #311929.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue,  7 Jun 2005 21:07:25 +0100

igaelic (0.50-2) unstable; urgency=low

  * German debconf translation, thanks to Erik Schanze. Closes: #263026.
  * Snarfed language name 'Irish' from iso-codes for debconf
   'translations' to:
    Czech, Danish, Greek, Spanish, Hungarian, Lithuanian, Marathi,
    Dutch, Norwegian Nynorsk, Swedish, Turkish, Ukrainian, Walloon

 -- Alastair McKinstry <mckinstry@debian.org>  Tue,  3 Aug 2004 21:27:01 +0100

igaelic (0.50-1) unstable; urgency=low

  * Sync. with word list improvements in aspell-gd by Kevin Scannell.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed,  5 May 2004 20:00:24 +0100

igaelic (0.5-11) unstable; urgency=low

  * Rebuild with dictionaries-common 0.20. Closes: #232148, #232186.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Feb 2004 13:59:38 +0000

igaelic (0.5-10) unstable; urgency=low

  * Japanese debconf translation, thanks to Hidake Yimane. Closes: #227397.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Jan 2004 22:42:32 +0000

igaelic (0.5-9) unstable; urgency=low

  * Mark the template Defaults as translatable.
  * New debconf translation for pt from Bruno Rodrigues. Closes: #216379.
  * New debconf translation for fr from Christian Perrier. Closes: #215769.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Oct 2003 19:30:06 +0000

igaelic (0.5-8) unstable; urgency=low

  * Disable translations until dict-common can cope with them.
  * Remove superflous spaces from templates.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Sep 2003 14:40:42 +0100

igaelic (0.5-7) unstable; urgency=low

  * Add extended description. Closes: #210071.
  * Ensure update-openoffice-dicts gets called in postinst. Closes: #211383.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Sep 2003 20:39:16 +0100

igaelic (0.5-6) unstable; urgency=low

  * Added myspell-gd package; spell-checking for OpenOffice and Mozilla.


=== debian/control ===
Source: igaelic
Standards-Version: 4.7.3
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Section: text
Build-Depends:
 debhelper-compat (= 13),
 ispell,
 perl,
 dictionaries-common-dev,
Vcs-Browser: https://salsa.debian.org/debian/igaelic
Vcs-Git: https://salsa.debian.org/debian/igaelic.git

Package: igaelic
Architecture: any
Depends:
 ispell,
 dictionaries-common,
 debconf,
 ${misc:Depends},
Provides:
 ispell-dictionary,
Description: Scots Gaelic dictionary for ispell
 This is a Scots Gaelic dictionary for  the ispell spell checker program.
 There are about 1400 words in this alpha-quality dictionary; please help
 by using this program and submitting extra words.

Package: wgaelic
Architecture: all
Depends:
 dictionaries-common,
 debconf,
 ${misc:Depends},
Description: Scots Gaelic word list
 This package provides the file /usr/share/dict/gaelic containing a list
 of Scots Gaelic words.  This list can be used by spelling checkers, and by
 programs such as look(1).

Package: myspell-gd
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Depends:
 ${misc:Depends},
Recommends:
 hunspell-gd
Description: transitional dummy package
 This is a dependency package for migration to hunspell-gd
 This package is here only to ensure smooth upgrades from
 myspell-gd to hunspell-gd.
 .
 It can be safely removed afterwards.

=== debian/rules ===
#!/usr/bin/make -f

# Debhelper magic rule
%:
	dh $@

override_dh_auto_build:
	cp debian/language-file debian/igaelic.info-ispell
	cp debian/language-file debian/wgaelic.info-wordlist
	dh_auto_build

override_dh_auto_clean:
	rm -f debian/igaelic.info-ispell debian/wgaelic.info-wordlist
	$(MAKE) reallyclean
	dh_auto_clean

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/igaelic
	$(MAKE) install-words DESTDIR=$(CURDIR)/debian/wgaelic
	$(MAKE) install-myspell DESTDIR=$(CURDIR)/debian/myspell-gd
	iconv --from-code=ISO-8859-1 --to-code=UTF8 debian/wgaelic/usr/share/dict/gaelic > x
	mv x debian/wgaelic/usr/share/dict/gaelic
	# For debian bug  #541923
	mkdir -p debian/myspell-gd/usr/share/hunspell
	mv debian/myspell-gd/usr/share/myspell/dicts/* debian/myspell-gd/usr/share/hunspell
	installdeb-wordlist -p wgaelic # calls internally dh_installdebconf
	dh_installman -p wgaelic wgaelic/gaelic.5
